digiKam Developer Documentation: Digikam::ItemSelectionOverlayButton Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
Digikam::ItemSelectionOverlayButton Class Reference
Inheritance diagram for Digikam::ItemSelectionOverlayButton:

## Public Member Functions
| ItemSelectionOverlayButton (QAbstractItemView *const parentView)
QSize | sizeHint () const override
| Reimplement to match the size of your icon.
Public Member Functions inherited from Digikam::ItemViewHoverButton
| ItemViewHoverButton (QAbstractItemView *const parentView)
QModelIndex | index () const
void | initIcon ()
void | reset ()
void | setIndex (const QModelIndex &index)
void | setVisible (bool visible) override

## Protected Member Functions
QIcon | icon () override
| Return your icon here.
void | updateToolTip () override
| Optionally update tooltip here.
Protected Member Functions inherited from Digikam::ItemViewHoverButton
void | enterEvent (QEnterEvent *event)
void | leaveEvent (QEvent *event)
void | paintEvent (QPaintEvent *event)
void | setup ()
| to call in children class constructors to init signal/slot connections.

## Additional Inherited Members
Protected Slots inherited from Digikam::ItemViewHoverButton
void | refreshIcon ()
void | setFadingValue (int value)
void | startFading ()
void | stopFading ()
Protected Attributes inherited from Digikam::ItemViewHoverButton
QTimeLine * | m_fadingTimeLine = nullptr
int | m_fadingValue = 0
QIcon | m_icon
QPersistentModelIndex | m_index
bool | m_isHovered = false

## Member Function Documentation

## ◆ icon()

QIcon Digikam::ItemSelectionOverlayButton::icon | ( |  | ) |
| overrideprotectedvirtual

Will be queried again on toggle.

Implements Digikam::ItemViewHoverButton.

## ◆ sizeHint()

QSize Digikam::ItemSelectionOverlayButton::sizeHint | ( |  | ) | const
| overridevirtual

Implements Digikam::ItemViewHoverButton.

## ◆ updateToolTip()

void Digikam::ItemSelectionOverlayButton::updateToolTip | ( |  | ) |
| overrideprotectedvirtual

Will be called again on state change.

Reimplemented from Digikam::ItemViewHoverButton.